Bug 157848 - [GTK][EFL] ImageBufferCairo should accept resolution factor
Summary: [GTK][EFL] ImageBufferCairo should accept resolution factor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords:
Depends on:
Blocks: 146731
  Show dependency treegraph
 
Reported: 2016-05-18 10:43 PDT by Yusuke Suzuki
Modified: 2016-06-24 16:08 PDT (History)
8 users (show)

See Also:


Attachments
Patch (12.14 KB, patch)
2016-06-21 07:59 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (14.12 KB, patch)
2016-06-21 09:17 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (15.00 KB, patch)
2016-06-21 11:54 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (19.45 KB, patch)
2016-06-22 10:06 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2016-05-18 10:43:53 PDT
In Cairo environment, device scale factor is transparently handled by HW side using cairo_surface_set_device_scale.
ImageBuffer ignores resolution factor now. So we Filter and FilterEffect should not consider that ImageBuffer's size is scaled.

This leads crash in kangax's ES6 compat table page in HiDPI PC.
Comment 1 Yusuke Suzuki 2016-06-21 07:59:08 PDT
Created attachment 281745 [details]
Patch

WIP
Comment 2 WebKit Commit Bot 2016-06-21 08:00:42 PDT
Attachment 281745 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Yusuke Suzuki 2016-06-21 08:01:29 PDT
Typical crashing page: ES6 compat table page.
https://kangax.github.io/compat-table/es6/
Comment 4 Yusuke Suzuki 2016-06-21 09:17:32 PDT
Created attachment 281752 [details]
Patch

WIP2
Comment 5 Yusuke Suzuki 2016-06-21 11:54:46 PDT
Created attachment 281764 [details]
Patch

WIP3
Comment 6 Yusuke Suzuki 2016-06-22 10:06:35 PDT
Created attachment 281846 [details]
Patch
Comment 7 Yusuke Suzuki 2016-06-24 08:45:32 PDT
Comment on attachment 281846 [details]
Patch

Thanks for your review!
Comment 8 WebKit Commit Bot 2016-06-24 09:06:00 PDT
Comment on attachment 281846 [details]
Patch

Clearing flags on attachment: 281846

Committed r202421: <http://trac.webkit.org/changeset/202421>
Comment 9 WebKit Commit Bot 2016-06-24 09:06:04 PDT
All reviewed patches have been landed.  Closing bug.